<?php

if ( function_exists('acf_add_local_field_group') ):

	acf_add_local_field_group(array(
			'key' => 'group_5ecead47d1445',
			'title' => esc_html__( 'Menu Settings', 'vara'),
			'fields' => array(
				array(
					'key' => 'field_5eceadb34a0f0',
					'label' => esc_html__( 'Mega Menu', 'vara' ),
					'name' => 'mega_menu',
					'type' => 'true_false',
					'instructions' => esc_html__( 'Activate the mega menu.', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 0,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5eceae4b3b228',
					'label' => esc_html__( 'Mega Menu Columns', 'vara' ),
					'name' => 'mega_menu_columns',
					'type' => 'select',
					'instructions' => esc_html__( 'Select the columns of mega menu.', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => '2 Columns',
						2 => '3 Columns',
						3 => '4 Columns',
						4 => '5 Columns',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5eceaf2cacba9',
					'label' => esc_html__( 'Unclickable', 'vara' ),
					'name' => 'menu_unclickable',
					'type' => 'true_false',
					'instructions' => __( 'Make this menu unclickable. <br />
<small>Note: Can be used for dropdown parents or mega menu headings.</small>', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 0,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5ecf2bfd72c95',
					'label' => esc_html__( 'Label', 'vara' ),
					'name' => 'menu_label',
					'type' => 'select',
					'instructions' => esc_html__( 'Add a label to the menu item.', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'None',
						2 => 'New',
						3 => 'Hot',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
			),
			'location' => array(
				array(
					array(
						'param' => 'nav_menu_item',
						'operator' => '==',
						'value' => 'all',
					),
				),
			),
			'menu_order' => 0,
			'position' => 'normal',
			'style' => 'default',
			'label_placement' => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen' => '',
			'active' => true,
			'description' => '',
));

	acf_add_local_field_group(array(
			'key' => 'group_5ecf2dfacd13a',
			'title' => esc_html__( 'Settings', 'vara' ),
			'fields' => array(
				array(
					'key' => 'field_5ecf2e004fe38',
					'label' => esc_html__( 'General', 'vara' ),
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'left',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf2e0ea9b6f',
					'label' => esc_html__( 'Title', 'vara' ),
					'name' => 'general_title',
					'type' => 'select',
					'instructions' => __( 'Show or hide the title of this page/post. <br />
<small>Note: The default options are placed in Customizer > Utility > Title.</small>', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf2e95ac3f9',
					'label' => esc_html__('Breadcrumb', 'vara' ),
					'name' => 'general_breadcrumb',
					'type' => 'select',
					'instructions' => __( 'Show or hide the breadcrumb of this page/post. <br />
<small>Note: The default options are placed in Customizer > Utility > Breadcrumbs.</small>', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f3176d4fabae',
					'label' => esc_html__( 'Vertical Lines', 'vara' ),
					'name' => 'vertical_lines',
					'type' => 'select',
					'instructions' => esc_html__( 'Show or hide vertical decorative lines of this page/post.', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f317727fabaf',
					'label' => esc_html__( 'Vertical Lines Color', 'vara' ),
					'name' => 'vertical_lines_color',
					'type' => 'select',
					'instructions' => esc_html__( 'Choose skin for vertical decorative lines', 'vara' ),
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f3176d4fabae',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Light',
						3 => 'Dark',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f36d59141b7b',
					'label' => 'Page Background Color',
					'name' => 'page_background_color',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5f3a8207ec726',
					'label' => 'Page Background Image',
					'name' => 'page_background_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'medium',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5f3a82a6bb654',
					'label' => 'Page Background Image Repeat',
					'name' => 'page_background_repeat',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'' => 'Default',
						'no' => 'No',
						'yes' => 'Yes',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5eeca8c81d46c',
					'label' => esc_html__( 'Body Offset', 'vara' ),
					'name' => 'general_body_offset',
					'type' => 'select',
					'instructions' => esc_html__( 'Create a left or right spacing to the content, best use case when creating a lateral header to eleminate the FOUC effect.', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5eeca9071d46d',
					'label' => esc_html__( 'Padding Left', 'vara' ),
					'name' => 'general_body_offset_padding_left',
					'type' => 'text',
					'instructions' => __( 'Enter the Padding Left offset. <br />
<small>Note: Do not forget to enter the unit too.</small>', 'vara' ),
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5eeca8c81d46c',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5eeca93b1d46f',
					'label' => esc_html__( 'Padding Right', 'vara' ),
					'name' => 'general_body_offset_padding_right',
					'type' => 'text',
					'instructions' => __( 'Enter the Padding Right offset. <br />
<small>Note: Do not forget to enter the unit too.</small>', 'vara' ),
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5eeca8c81d46c',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5eeca9541d470',
					'label' => esc_html__( 'Offset Breakpoint', 'vara' ),
					'name' => 'general_body_offset_breakpoint',
					'type' => 'select',
					'instructions' => esc_html__( 'Select from which device you want to remove the offset.', 'vara' ),
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5eeca8c81d46c',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Tablet',
						3 => 'Mobile',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf2eb5ac3fa',
					'label' => esc_html__( 'Redirect', 'vara' ),
					'name' => 'general_redirect',
					'type' => 'true_false',
					'instructions' => esc_html__( 'Make this post/page a redirect.', 'vara' ),
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 0,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5ecf2f2e3b783',
					'label' => 'Redirect URL',
					'name' => 'general_redirect_url',
					'type' => 'link',
					'instructions' => 'Enter the URL.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf2eb5ac3fa',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'url',
				),
				array(
					'key' => 'field_5ecf2f5c3b784',
					'label' => 'Theme Borders',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf2fb8d2b3f',
					'label' => 'Visibility',
					'name' => 'theme_borders',
					'type' => 'select',
					'instructions' => 'Add borders all around the theme, you\'ll be able to specify the thickness and the color in the fields below.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf30280c9bc',
					'label' => 'Color',
					'name' => 'theme_borders_color',
					'type' => 'color_picker',
					'instructions' => 'Change the color of the theme borders.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf2fb8d2b3f',
								'operator' => '==contains',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5ecf30670c9bd',
					'label' => 'Thickness',
					'name' => 'theme_borders_thickness',
					'type' => 'range',
					'instructions' => 'Override the theme border thickness.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf2fb8d2b3f',
								'operator' => '==contains',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'min' => '',
					'max' => '',
					'step' => '',
					'prepend' => '',
					'append' => '',
				),
				array(
					'key' => 'field_5f00512fca7af',
					'label' => 'Go to Top',
					'name' => 'to_top_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide go to top button',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf30bc35a1b',
					'label' => 'Header',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'left',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf30cf35a1c',
					'label' => 'Layout',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf30e735a1d',
					'label' => 'Visibility',
					'name' => 'header_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide the classic header in your website, default is show. <br />
<small>Note: You\'ll still be able to place header templates.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf312135a1e',
					'label' => 'Type',
					'name' => 'header_type',
					'type' => 'select',
					'instructions' => 'Select the type of header. <br />
<small>Note: The default option won\'t work if visibility is set to hide.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Default',
						3 => 'Template',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf31a4bc210',
					'label' => 'Template',
					'name' => 'header_template',
					'type' => 'post_object',
					'instructions' => 'Select the template. <br /><small>Note: Do not forget to add headers in Elementor Templates.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array(
						0 => 'elementor_library',
					),
					'taxonomy' => array(
						0 => 'elementor_library_type:header',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'return_format' => 'id',
					'ui' => 1,
				),
				array(
					'key' => 'field_5ecf3fdc68a3e',
					'label' => 'Skin',
					'name' => 'header_skin',
					'type' => 'select',
					'instructions' => 'Select the header skin, light skin means white logo text and white hamburger.
<br />
<small>Note: The default option is dark skin.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Dark',
						3 => 'Light',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf406b68a40',
					'label' => 'Position',
					'name' => 'header_position',
					'type' => 'select',
					'instructions' => 'Select the header position, the absolute header will push the content to the top of the page
<br />
<small>Note: The default option is static.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Static',
						3 => 'Absolute',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf41312e5cd',
					'label' => 'Transparency',
					'name' => 'header_transparency',
					'type' => 'select',
					'instructions' => 'Select the header transparency, sticky will stay fixed in the scroll option.
<br />
<small>Note: The default option is normal.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Normal',
						3 => 'Sticky',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf416f2e5ce',
					'label' => 'Template',
					'name' => 'header_sticky_template',
					'type' => 'post_object',
					'instructions' => 'Select the header template that will be used as sticky.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf41312e5cd',
								'operator' => '==',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array(
						0 => 'elementor_library',
					),
					'taxonomy' => array(
						0 => 'elementor_library_type:header',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'return_format' => 'id',
					'ui' => 1,
				),
				array(
					'key' => 'field_5ecf42bea2055',
					'label' => 'Autohide',
					'name' => 'header_autohide',
					'type' => 'select',
					'instructions' => 'Switch on if you want to activate the autohide header. The header will be hidden when scrolling down, it will appear only when the user scrolls up, the option is valid only when Sticky is selected as transparency. 
<br />
<small>Note: The default option is on, when sticky is selected.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf42e3a2056',
					'label' => 'Container',
					'name' => 'header_container',
					'type' => 'select',
					'instructions' => 'Select if you want to use container holder for the header if disable is selected the header will push into left and right.
<br />
<small>Note: The default option is on.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf43d5142e3',
					'label' => 'Logo',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4552f2958',
					'label' => 'Dark',
					'name' => 'header_dark_logo',
					'type' => 'image',
					'instructions' => 'Upload your logo, will be used as a dark logo. 
<br />
<small>Note: In case the skin is selected Light, this logo will not be visible in default transparency.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5ecf45a1f295a',
					'label' => 'Light',
					'name' => 'header_light_logo',
					'type' => 'image',
					'instructions' => 'Upload your light logo, will be used as white logo in light skin.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5ecf45bef295b',
					'label' => 'Logo Width',
					'name' => 'header_logo_width',
					'type' => 'number',
					'instructions' => 'Enter the number that will change the logo image width. 
<br />
<small>Note: Enter only the number without {px}.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_5ecf45f0f295c',
					'label' => 'Logo Height',
					'name' => 'header_logo_height',
					'type' => 'number',
					'instructions' => 'Enter the number that will change the logo image height. 
<br />
<small>Note: Enter only the number without {px}.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_5ecf4611f295d',
					'label' => 'Other',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4637f295f',
					'label' => 'Search',
					'name' => 'header_search_visibility',
					'type' => 'select',
					'instructions' => 'Select the visibility of the search. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4662f2960',
					'label' => 'Shopping Cart',
					'name' => 'shopping_cart_visibility',
					'type' => 'select',
					'instructions' => 'Select the visibility of the shopping cart.<br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf30e735a1d',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf312135a1e',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf471b95a36',
					'label' => 'Footer',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf472595a37',
					'label' => 'General',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf472f95a38',
					'label' => 'Type',
					'name' => 'footer_type',
					'type' => 'select',
					'instructions' => 'Select the footer type. <br /> <small>Note: Make sure to create templates with Elementor as footer type.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Default',
						3 => 'Template',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf476795a39',
					'label' => 'Template',
					'name' => 'footer_template',
					'type' => 'post_object',
					'instructions' => 'Select the footer template.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array(
						0 => 'elementor_library',
					),
					'taxonomy' => array(
						0 => 'elementor_library_type:footer',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'return_format' => 'id',
					'ui' => 1,
				),
				array(
					'key' => 'field_5ecf47d3eae06',
					'label' => 'Skin',
					'name' => 'footer_skin',
					'type' => 'select',
					'instructions' => 'Select the footer skin, if dark is selected the background will be dark and elements and vice versa. <br />
<small>Note: The default option is dark.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Dark',
						3 => 'Light',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4818eae07',
					'label' => 'Container',
					'name' => 'footer_container',
					'type' => 'select',
					'instructions' => 'Select if you want to use container holder for the footer if off is selected the footer will push into left and right.
<br />
<small>Note: The default option is on.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf483deae08',
					'label' => 'Parallax',
					'name' => 'footer_parallax',
					'type' => 'select',
					'instructions' => 'Enable a parallax effect for your footer. The footer will come smoothly in the position fixed when scrolling at the bottom.
<br />
<small>Note: The default option is off.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf486aeae09',
					'label' => 'Widgets',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf487beae0a',
					'label' => 'Widgets',
					'name' => 'footer_widgets',
					'type' => 'select',
					'instructions' => 'Switch on if you want to show the widgets on the footer.
<br />
<small>Note: The default option is on.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf48c2eae0b',
					'label' => 'Columns',
					'name' => 'footer_widgets_columns',
					'type' => 'select',
					'instructions' => 'Select the columns of widgets.
<br />
<small>Note: The default option is 4 columns.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => '1 Column',
						3 => '2 Columns',
						4 => '3 Columns',
						5 => '4 Columns',
						6 => '5 Columns',
						7 => '6 Columns',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4938eae0c',
					'label' => 'Mobile Visibility',
					'name' => 'footer_widgets_mobile_visibility',
					'type' => 'select',
					'instructions' => 'Select the visibility of the widgets in mobile layout mode (< 768px).
<br />
<small>Note: The default option is visible.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf496deae0d',
					'label' => 'Copyright',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4973eae0e',
					'label' => 'Visibility',
					'name' => 'footer_copyright_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide the copyright, by hiding the copyright the social media will be hidden too.
<br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4a02297af',
					'label' => 'Alignment',
					'name' => 'footer_copyright_alignment',
					'type' => 'select',
					'instructions' => 'Select the alignment of copyright, if selected left the social media will be placed on the right and vice versa.
<br />
<small>Note: The default option is left.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Left',
						3 => 'Right',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4a6339b8c',
					'label' => 'Social Media',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4a7839b8d',
					'label' => 'Visibility',
					'name' => 'footer_social_media_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide the social media in the footer.
<br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf472f95a38',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4c62fead8',
					'label' => 'Portfolio Item Settings',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf2e0ea9b6f',
								'operator' => '!=empty',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf4dfb64b89',
					'label' => 'Functionality',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4e1264b8a',
					'label' => 'Type',
					'name' => 'portfolio_item_type',
					'type' => 'select',
					'instructions' => 'Select the type of portfolio item.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Side Portfolio',
						2 => 'Vertical Portfolio',
						3 => 'Elementor',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4e4c64b8b',
					'label' => 'Subtitle',
					'name' => 'portfolio_item_subtitle',
					'type' => 'text',
					'instructions' => 'Enter the subtitle of portfolio item.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5ecf4e6d64b8c',
					'label' => 'Side Portfolio',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4e7564b8d',
					'label' => 'Description Sticky',
					'name' => 'side_portfolio_description_sticky',
					'type' => 'true_false',
					'instructions' => 'Make the portfolio content fixed when scrolling.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 0,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5ef0a60808c82',
					'label' => 'Description Alignment',
					'name' => 'side_portfolio_description_alignment',
					'type' => 'select',
					'instructions' => 'Select the alignment of description.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Left',
						2 => 'Right',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4ec264b8e',
					'label' => 'Description Width',
					'name' => 'side_portfolio_description_width',
					'type' => 'select',
					'instructions' => 'Select the width of description.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'One Half (1/2)',
						2 => 'One Third Column (1/3)',
						3 => 'One Fourth Column (1/4)',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4ef564b8f',
					'label' => 'Vertical Portfolio',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4f1864b90',
					'label' => 'Description Place',
					'name' => 'vertical_portfolio_description_place',
					'type' => 'select',
					'instructions' => 'Select the place of description, the default is above the gallery.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Above Gallery',
						2 => 'Below Gallery',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4f3664b91',
					'label' => 'Description Width',
					'name' => 'vertical_portfolio_description_width',
					'type' => 'select',
					'instructions' => 'Select the width of description.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Full Width Column (1/1)',
						2 => 'One Half Column (1/2)',
						3 => 'Two Third Column (2/3)',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4f6264b92',
					'label' => 'Elementor',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '<p>Make sure to enable Elementor for the post type Portfolio in <a href="admin.php?page=elementor"> Elementor Settings</a>.</p>',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4f8164b93',
					'label' => 'Navigation',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf4f9564b94',
					'label' => 'Visibility',
					'name' => 'portfolio_item_navigation_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide the navigation on portfolio item.
<br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4fba64b95',
					'label' => 'Category',
					'name' => 'portfolio_item_navigation_category',
					'type' => 'select',
					'instructions' => 'Enable if you want the posts to be navigated only in the same category.
<br />
<small>Note: The default option is disable.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf4e1264b8a',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Enable',
						3 => 'Disable',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf4dc064b86',
					'label' => 'Portfolio Item Gallery',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf2e0ea9b6f',
								'operator' => '!=empty',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf503ffa947',
					'label' => 'Columns',
					'name' => 'portfolio_item_gallery_columns',
					'type' => 'select',
					'instructions' => 'Select the columns of the portfolio item gallery.
<br />
<small>Note: The default option is one column.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'One Column',
						3 => 'Two Columns',
						4 => 'Three Columns',
						5 => 'Four Columns',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf5076fa948',
					'label' => 'Animation',
					'name' => 'portfolio_item_gallery_animation',
					'type' => 'select',
					'instructions' => 'Select initial loading animation for the gallery.
<br />
<small>Note: The default option is fade in.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'None',
						3 => 'Fade In',
						4 => 'Fade In Up',
						5 => 'Fade In (with delay)',
						6 => 'Fade In Up (with delay)',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf5095fa949',
					'label' => 'Gallery',
					'name' => 'portfolio_item_gallery',
					'type' => 'flexible_content',
					'instructions' => 'Add gallery items.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'layouts' => array(
						'5ecf50a768be9' => array(
							'key' => '5ecf50a768be9',
							'name' => 'portfolio_item_gallery_image',
							'label' => 'Image',
							'display' => 'block',
							'sub_fields' => array(
								array(
									'key' => 'field_5ecf50c7fa94a',
									'label' => 'Image',
									'name' => 'portfolio_item_gallery_image_obj',
									'type' => 'image',
									'instructions' => 'Upload an image.',
									'required' => 0,
									'conditional_logic' => 0,
									'wrapper' => array(
										'width' => '',
										'class' => '',
										'id' => '',
									),
									'return_format' => 'array',
									'preview_size' => 'thumbnail',
									'library' => 'all',
									'min_width' => '',
									'min_height' => '',
									'min_size' => '',
									'max_width' => '',
									'max_height' => '',
									'max_size' => '',
									'mime_types' => '',
								),
							),
							'min' => '',
							'max' => '',
						),
					),
					'button_label' => 'Add Row',
					'min' => '',
					'max' => '',
				),
				array(
					'key' => 'field_5ecf4dea64b88',
					'label' => 'Portfolio Item Tabs',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf2e0ea9b6f',
								'operator' => '!=empty',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf55d8fa94b',
					'label' => 'Custom Tabs',
					'name' => 'portfolio_item_custom_tabs',
					'type' => 'repeater',
					'instructions' => 'Add custom tabs to your project item.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => '',
					'min' => 0,
					'max' => 0,
					'layout' => 'block',
					'button_label' => 'Add Tab',
					'sub_fields' => array(
						array(
							'key' => 'field_5ecf55fffa94c',
							'label' => 'Title',
							'name' => 'portfolio_item_custom_tabs_title',
							'type' => 'text',
							'instructions' => 'Enter the title of tab.',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5ecf560ffa94d',
							'label' => 'Type',
							'name' => 'portfolio_item_custom_tabs_type',
							'type' => 'button_group',
							'instructions' => 'Select if you want to show plain description or link.',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'choices' => array(
								1 => 'Description',
								2 => 'Link',
							),
							'allow_null' => 0,
							'default_value' => 1,
							'layout' => 'horizontal',
							'return_format' => 'value',
						),
						array(
							'key' => 'field_5ecf5651fa94e',
							'label' => 'Description',
							'name' => 'portfolio_item_custom_tabs_description',
							'type' => 'textarea',
							'instructions' => 'Enter the tab description.',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_5ecf560ffa94d',
										'operator' => '==',
										'value' => '1',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => '',
							'new_lines' => '',
						),
						array(
							'key' => 'field_5ecf5671fa94f',
							'label' => 'Link Title',
							'name' => 'portfolio_item_custom_tabs_link_title',
							'type' => 'text',
							'instructions' => 'Enter the name of link, incase you don\'t write any title, the url will be used as title.',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_5ecf560ffa94d',
										'operator' => '==',
										'value' => '2',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'Just another website!',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5ecf5697fa950',
							'label' => 'Link URL',
							'name' => 'portfolio_item_custom_tabs_link_url',
							'type' => 'text',
							'instructions' => 'Enter the name of the link, in case you don\'t write any title, the url will be used as the title.',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_5ecf560ffa94d',
										'operator' => '==',
										'value' => '2',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'http://www.gradastudio.com',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5ecf56c0fa951',
							'label' => 'Link Larget',
							'name' => 'portfolio_item_custom_tabs_link_target',
							'type' => 'true_false',
							'instructions' => 'Tick if you want the link to be opened in a new tab.',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_5ecf560ffa94d',
										'operator' => '==',
										'value' => '2',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'message' => 'New Tab',
							'default_value' => 0,
							'ui' => 1,
							'ui_on_text' => '',
							'ui_off_text' => '',
						),
					),
				),
				array(
					'key' => 'field_5ecf61693e1f5',
					'label' => 'Hero',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'left',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ecf61753e1f6',
					'label' => 'Settings',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf61863e1f7',
					'label' => 'Visibility',
					'name' => 'hero_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide the hero.
<br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf61a13e1f8',
					'label' => 'Type',
					'name' => 'hero_type',
					'type' => 'select',
					'instructions' => 'Select the type of hero.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Default',
						3 => 'Template',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf61d83e1f9',
					'label' => 'Template',
					'name' => 'hero_template',
					'type' => 'post_object',
					'instructions' => 'Select the template. <br /><small>Note: Do not forget to add heroes in Elementor Templates.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array(
						0 => 'elementor_library',
					),
					'taxonomy' => '',
					'allow_null' => 0,
					'multiple' => 0,
					'return_format' => 'id',
					'ui' => 1,
				),
				array(
					'key' => 'field_5ecf61fe3e1fa',
					'label' => 'Height',
					'name' => 'hero_height',
					'type' => 'select',
					'instructions' => 'Inherit the value of height from Theme Options or set it custom.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Custom',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf621f3e1fb',
					'label' => 'Custom Height',
					'name' => 'hero_custom_height',
					'type' => 'text',
					'instructions' => 'Enter the height with units.
<br />
<small>Note: Do not forget to add the unit too, for example px/vh/rem/em/%.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61fe3e1fa',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '500px',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5ecf626b3e1fc',
					'label' => 'Container',
					'name' => 'hero_container',
					'type' => 'select',
					'instructions' => 'Select if you want the hero to be boxed in 1140px width or not.
<br />
<small>Note: The default option is on.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'On',
						3 => 'Off',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf62993e1fd',
					'label' => 'Alignment',
					'name' => 'hero_alignment',
					'type' => 'select',
					'instructions' => 'Select the text alignment of the hero. <br />
<small>Note: The default option is center.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Left',
						3 => 'Center',
						4 => 'Right',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf62c83e1fe',
					'label' => 'Image',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf62d73e1ff',
					'label' => 'Image',
					'name' => 'hero_image',
					'type' => 'select',
					'instructions' => 'Select the image you want to display as hero background image. <br />
<small>Note: The default option use the post/page feature image.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Use the post/page featured image',
						3 => 'Custom Image',
						4 => 'No Image',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf632c3e200',
					'label' => 'Custom Image',
					'name' => 'hero_custom_image',
					'type' => 'image',
					'instructions' => 'Select the custom image you want to display as hero background image.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf62d73e1ff',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5ecf63653e202',
					'label' => 'Repeat',
					'name' => 'hero_image_repeat',
					'type' => 'select',
					'instructions' => 'Select the image repeat settings. <br />
<small>Note: The default option is no repeat.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'No Repeat',
						3 => 'Repeat All',
						4 => 'Repeat Horizontally',
						5 => 'Repeat Vertically',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf63963e203',
					'label' => 'Attachment',
					'name' => 'hero_image_attachment',
					'type' => 'select',
					'instructions' => 'Select the image attachment settings. <br />
<small>Note: The default option is scroll.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Scroll',
						3 => 'Fixed',
						4 => 'Local',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf63db3e204',
					'label' => 'Position',
					'name' => 'hero_image_position',
					'type' => 'select',
					'instructions' => 'Select the image position settings. <br />
<small>Note: The default option is center center.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Left Top',
						3 => 'Left Center',
						4 => 'Left Bottom',
						5 => 'Center Top',
						6 => 'Center Center',
						7 => 'Center Bottom',
						8 => 'Right Top',
						9 => 'Right Center',
						10 => 'Right Bottom',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf64213e205',
					'label' => 'Overlay',
					'name' => 'hero_image_overlay',
					'type' => 'select',
					'instructions' => 'Show an overlay for the background image. <br />
<small>Note: The default option is hide.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf648f0931a',
					'label' => 'Size',
					'name' => 'hero_image_size',
					'type' => 'select',
					'instructions' => 'Select the image size settings. <br />
<small>Note: The default option is cover.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Auto',
						3 => 'Cover',
						4 => 'Contain',
						5 => 'Initial',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf64c60931b',
					'label' => 'Overlay Opacity',
					'name' => 'hero_image_overlay_opacity',
					'type' => 'number',
					'instructions' => 'Enter the number of overlay opacity, the number can be in range of 0 and 1.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf64213e205',
								'operator' => '!=',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => 0,
					'max' => 1,
					'step' => '0.01',
				),
				array(
					'key' => 'field_5ecf64fe0931d',
					'label' => 'Overlay Color',
					'name' => 'hero_image_overlay_color',
					'type' => 'color_picker',
					'instructions' => 'Select the color of overlay.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf64213e205',
								'operator' => '!=',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5ecf65260931e',
					'label' => 'Title',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf65400931f',
					'label' => 'Title',
					'name' => 'hero_title',
					'type' => 'select',
					'instructions' => 'Select the title you want to display in the hero. <br />
<small>Note: The default option is use this post/page title.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Use this post/page title',
						3 => 'Custom Title',
						4 => 'No Title',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf658c09320',
					'label' => 'Custom Title',
					'name' => 'hero_custom_title',
					'type' => 'textarea',
					'instructions' => 'Enter the title, it accepts html tags too.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf65400931f',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => '',
					'new_lines' => 'br',
				),
				array(
					'key' => 'field_5ecf65ba09322',
					'label' => 'Animation',
					'name' => 'hero_title_animation',
					'type' => 'select',
					'instructions' => 'Select initial loading animation for the title. <br />
<small>Note: The default option in Fade In.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'None',
						3 => 'Fade In',
						4 => 'Fade In Up',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf65ec09323',
					'label' => 'Color',
					'name' => 'hero_title_color',
					'type' => 'select',
					'instructions' => 'Select the color of title. <br />
<small>Note: The default option in #232931.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Custom',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf661b09324',
					'label' => 'Custom Color',
					'name' => 'hero_title_color_custom',
					'type' => 'color_picker',
					'instructions' => 'Select the custom color from the picker.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf65ec09323',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5ecf667f09327',
					'label' => 'Subtitle',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ecf665009326',
					'label' => 'Subtitle',
					'name' => 'hero_subtitle',
					'type' => 'select',
					'instructions' => 'Select if you want to inherit the subtitle or set it custom.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Breadcrumb',
						3 => 'Custom',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf669f09328',
					'label' => 'Custom Subtitle',
					'name' => 'hero_custom_subtitle',
					'type' => 'textarea',
					'instructions' => 'Enter the subtitle, it accepts html tags too.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
							array(
								'field' => 'field_5ecf665009326',
								'operator' => '==',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => '',
					'new_lines' => 'br',
				),
				array(
					'key' => 'field_5ecf66e00932b',
					'label' => 'Animation',
					'name' => 'hero_subtitle_animation',
					'type' => 'select',
					'instructions' => 'Select initial loading animation for the subtitle. <br />
<small>Note: The default option in Fade In.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'None',
						3 => 'Fade In',
						4 => 'Fade In Up',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf670d0932d',
					'label' => 'Color',
					'name' => 'hero_subtitle_color',
					'type' => 'select',
					'instructions' => 'Select the color of subtitle. <br />
<small>Note: The default option in #858585.</small>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Custom',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ecf67240932e',
					'label' => 'Custom Color',
					'name' => 'hero_subtitle_color_custom',
					'type' => 'color_picker',
					'instructions' => 'Select the custom color from the picker.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ecf670d0932d',
								'operator' => '==',
								'value' => '2',
							),
							array(
								'field' => 'field_5ecf61a13e1f8',
								'operator' => '!=',
								'value' => '3',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '#858585',
				),
				array(
					'key' => 'field_5ed0779b7c8eb',
					'label' => 'Product',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ed077a97c8ec',
					'label' => 'General',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ed077b57c8ed',
					'label' => 'Navigation',
					'name' => 'product_navigation',
					'type' => 'select',
					'instructions' => 'Select the visibility of the navigation. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed0784d7c8ee',
					'label' => 'Gallery',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ed07a3b7c8ef',
					'label' => 'Alignment',
					'name' => 'product_gallery_alignment',
					'type' => 'select',
					'instructions' => 'Select the alignment of the gallery, if left is selected the content will move right and vice versa. <br />
<small>Note: The default option is left.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Left',
						3 => 'Right',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed07a527c8f0',
					'label' => 'Width',
					'name' => 'product_gallery_width',
					'type' => 'select',
					'instructions' => 'Select the width of the gallery. <br />
<small>Note: The default option is one half (1/2).</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed07a677c8f1',
					'label' => 'Related',
					'name' => '',
					'type' => 'message',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'new_lines' => 'wpautop',
					'esc_html' => 0,
				),
				array(
					'key' => 'field_5ed07be47c8f2',
					'label' => 'Visibility',
					'name' => 'product_related_visibility',
					'type' => 'select',
					'instructions' => 'Select the visibility of the related products. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed07c487c8f3',
					'label' => 'Number',
					'name' => 'product_related_count',
					'type' => 'select',
					'instructions' => 'Select how many products you want to display in the related section.
<small>Note: The default option is 4 products</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => '1 Product',
						3 => '2 Products',
						4 => '3 Products',
						5 => '4 Products',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed07e6ce3f40',
					'label' => 'Post Single',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ed07e87e3f41',
					'label' => 'Thumbnail',
					'name' => 'blog_post_thumbnail',
					'type' => 'select',
					'instructions' => 'Show or hide the thumbnail on post. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
						4 => 'Custom',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed07ea8e3f42',
					'label' => 'Custom Thumbnail',
					'name' => 'blog_post_custom_thumbnail',
					'type' => 'image',
					'instructions' => 'Upload a custom thumbnail only for the post single.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ed07e87e3f41',
								'operator' => '==',
								'value' => '4',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'url',
					'preview_size' => 'medium',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5ed08070e3f43',
					'label' => 'Navigation Visibility',
					'name' => 'blog_post_navigation_visibility',
					'type' => 'select',
					'instructions' => 'Show or hide the navigation on post. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed0808be3f44',
					'label' => 'Navigation Category',
					'name' => 'blog_post_navigation_category',
					'type' => 'select',
					'instructions' => 'Enable if you want the posts to be navigated only in the same category. <br />
<small>Note: The default option is disable.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Enable',
						3 => 'Disable',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed08119e3f45',
					'label' => 'Share',
					'name' => 'blog_post_share',
					'type' => 'select',
					'instructions' => 'Select the visibility of share icons. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed082f6e3f46',
					'label' => 'Sidebar',
					'name' => 'blog_post_sidebar',
					'type' => 'select',
					'instructions' => 'Select the placement of sidebar or hide it. <br />
<small>Note: The default option is right.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Left',
						3 => 'Right',
						4 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed08315e3f47',
					'label' => 'Author Box',
					'name' => 'blog_post_author_box',
					'type' => 'select',
					'instructions' => 'Show or hide the author box in the end of post. <br />
<small>Note: The default option is show.</small>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed084c82e443',
					'label' => 'Related',
					'name' => '',
					'type' => 'tab',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'placement' => 'top',
					'endpoint' => 0,
				),
				array(
					'key' => 'field_5ed085002e444',
					'label' => 'Related',
					'name' => 'related_posts',
					'type' => 'select',
					'instructions' => 'Show or hide the related posts.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						1 => 'Inherit',
						2 => 'Show',
						3 => 'Hide',
					),
					'default_value' => 1,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5ed086362e445',
					'label' => 'Template',
					'name' => 'related_posts_template',
					'type' => 'post_object',
					'instructions' => 'Select the template.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ed085002e444',
								'operator' => '==',
								'value' => '2',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array(
						0 => 'elementor_library',
					),
					'taxonomy' => '',
					'allow_null' => 0,
					'multiple' => 0,
					'return_format' => 'id',
					'ui' => 1,
				),
			),
			'location' => array(
				array(
					array(
						'param' => 'post_type',
						'operator' => '==',
						'value' => 'post',
					),
				),
				array(
					array(
						'param' => 'post_type',
						'operator' => '==',
						'value' => 'page',
					),
				),
				array(
					array(
						'param' => 'post_type',
						'operator' => '==',
						'value' => 'portfolio',
					),
				),
			),
			'menu_order' => 0,
			'position' => 'normal',
			'style' => 'default',
			'label_placement' => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen' => '',
			'active' => true,
			'description' => '',
		));

endif;