<?php 
/**
 * Product Navigation
 */
$vara_product_navigation = vara_inherit_option('product_navigation', 'product_navigation', '1');

if (!class_exists('WooCommerce') || $vara_product_navigation == '2') {
    return;
}

// Back URL
$vara_product_navigation_back_url_link = $vara_product_navigation_url_cols = '';
if (get_theme_mod('product_navigation_back_url', '1') == '1' || wc_get_page_id('shop')) {
    $vara_product_navigation_nav_cols = 'col-3 col-md-4';
    $vara_product_navigation_url_cols = 'col-6 col-md-4';

    // Link
    $vara_product_navigation_back_url_link = get_theme_mod('product_navigation_back_url_link') ? get_theme_mod('product_navigation_back_url_link') : get_permalink(wc_get_page_id('shop'));
} else {
    $vara_product_navigation_nav_cols = 'col-6';
}
?>
<div class="gs-post-nav">
    <div class="container">
        <div class="row d-flex align-items-center">
            <div class="<?php echo esc_attr($vara_product_navigation_nav_cols) ?> post-nav-link prev">
                <?php previous_post_link('%link', '<div class="d-flex align-items-center"><div class="gs-post-nav-text"><h6 class="gs-post-nav-title">'. esc_html__('Prev', 'vara') .'</h6><h6 class="gs-post-nav-subtitle">%title</h6></div></div>', false, '', 'product_cat') ?>
            </div>
            <?php if (get_theme_mod('product_navigation_back_url', '1') == '1' || wc_get_page_id('shop')) : ?>
                <div class="<?php echo esc_attr($vara_product_navigation_url_cols) ?> post-nav-link post-nav-go-back">
                    <div class="d-flex align-items-center justify-content-center">
                        <a href="<?php echo esc_url($vara_product_navigation_back_url_link) ?>">
                            <svg enable-background="new 0 0 270 270" viewBox="0 0 270 270" xmlns="http://www.w3.org/2000/svg" width="20" height="20"><path d="m114 0h-104c-5.5 0-10 4.5-10 10v104c0 5.5 4.5 10 10 10h104c5.5 0 10-4.5 10-10v-104c0-5.5-4.5-10-10-10zm-10 104h-84v-84h84z"/><path d="m260 0h-104c-5.5 0-10 4.5-10 10v104c0 5.5 4.5 10 10 10h104c5.5 0 10-4.5 10-10v-104c0-5.5-4.5-10-10-10zm-10 104h-84v-84h84z"/><path d="m114 146h-104c-5.5 0-10 4.5-10 10v104c0 5.5 4.5 10 10 10h104c5.5 0 10-4.5 10-10v-104c0-5.5-4.5-10-10-10zm-10 104h-84v-84h84z"/><path d="m260 146h-104c-5.5 0-10 4.5-10 10v104c0 5.5 4.5 10 10 10h104c5.5 0 10-4.5 10-10v-104c0-5.5-4.5-10-10-10zm-10 104h-84v-84h84z"/></svg>
                        </a>
                    </div>
                </div>
            <?php endif; ?>
            <div class="<?php echo esc_attr($vara_product_navigation_nav_cols) ?> post-nav-link next gs-text-right">
                <?php next_post_link('%link', '<div class="d-flex align-items-center"><div class="gs-post-nav-text"><h6 class="gs-post-nav-title">'. esc_html__('Next', 'vara') .'</h6><h6 class="gs-post-nav-subtitle">%title</h6></div></div>', false, '', 'product_cat') ?>
            </div>
        </div>
    </div>
</div>